# mbX

**mbX** is a Python library designed to simplify the cleaning and processing of microbiome and metadata files. It provides a comprehensive suite of functions to handle various data manipulations, ensuring your data is ready for downstream analysis and visualization.

## Key Features

- **File Validation:**  
  Supports common file formats including CSV, XLS, XLSX, and TXT.

- **Data Cleaning & Transformation:**  
  - Cleans and transposes data  
  - Converts data to numerical values  
  - Aggregates data and calculates column-wise percentage values

- **Metadata Integration:**  
  Merges metadata with the cleaned microbiome data seamlessly.

- **Output Generation:**  
  Produces a final Excel file tailored to the specified taxonomy level.

## Library Functions

mbX includes the following functions:

- **`ezclean`**:  
  Handles the processing of qiime2 output files. This function is fully implemented in the current version and provides robust data cleaning and merging capabilities.

- **`ezviz`**:  
  Aims to generate publication-ready visualizations. *(Note: This function will be updated in an upcoming version.)*

- **`ezstat`**:  
  Designed to perform statistical analysis on 16s rRNA outputs. *(Note: This function will be updated in an upcoming version.)*

## Installation

You can install **mbX** using pip:

```bash
pip install pymbX
